Bug 128068 - cannot copy and paste to different files or instances
Summary: cannot copy and paste to different files or instances
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 40 votes (vote)
Target Milestone: 2.12 (KDE 4.12)
Assignee: Joris Steyn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-26 10:34 UTC by Daniele Siddi
Modified: 2014-01-16 07:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele Siddi 2006-05-26 10:34:12 UTC
Version:           sconosciuto (using KDE 3.4.3, Kubuntu Package 4:3.4.3-0ubuntu2 )
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.12-10-686

Hi to all.

I am working in a group of people connected by the internet, and we need to pick the file, modify it and give back the new version.

If we made changes concurrently, we cannot copy parts of diagrams from other instances of Umbrello, and the thing would be very useful.

Regards
Comment 1 Joris Steyn 2013-11-10 19:20:35 UTC
Git commit 1bfad17b6e6891a316ea56ac906980175ae5a058 by Joris Steyn.
Committed on 13/10/2013 at 15:09.
Pushed by jorissteyn into branch 'master'.

Fix copy/paste between Umbrello instances

Clip4 now contains all the UMLObjects corresponding to the copied widgets.

Some related but obviously unused code removed. Involves a better fix than
c63e77c for broken copy/paste of listview items.
Related: bug 70926, bug 279788, bug 195803, bug 291749

M  +7    -48   umbrello/clipboard/umlclipboard.cpp
M  +18   -14   umbrello/clipboard/umldragdata.cpp
M  +6    -0    umbrello/uml.cpp
M  +0    -111  umbrello/umllistview.cpp
M  +0    -5    umbrello/umllistview.h
M  +1    -2    umbrello/umlobject.cpp

http://commits.kde.org/umbrello/1bfad17b6e6891a316ea56ac906980175ae5a058
Comment 2 Ralf Habacker 2013-11-10 23:40:53 UTC
Git commit 9b2d14372905fc49076025488983fb5859637eba by Ralf Habacker, on behalf of Joris Steyn.
Committed on 13/10/2013 at 15:09.
Pushed by habacker into branch 'KDE/4.12'.

Fix copy/paste between Umbrello instances

Clip4 now contains all the UMLObjects corresponding to the copied widgets.

Some related but obviously unused code removed. Involves a better fix than
c63e77c for broken copy/paste of listview items.
Related: bug 70926, bug 279788, bug 195803, bug 291749

M  +7    -48   umbrello/clipboard/umlclipboard.cpp
M  +18   -14   umbrello/clipboard/umldragdata.cpp
M  +6    -0    umbrello/uml.cpp
M  +0    -111  umbrello/umllistview.cpp
M  +0    -5    umbrello/umllistview.h
M  +1    -2    umbrello/umlobject.cpp

http://commits.kde.org/umbrello/9b2d14372905fc49076025488983fb5859637eba